{ lib, ... }:
{
  options.home = {
    sway.enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      description = "Enable SwayWM";
    };

    niri = {
      enable = lib.mkOption {
        type = lib.types.bool;
        default = true;
        description = "Enable SwayWM";
      };
      settings = lib.mkOption {
        type = lib.types.attrs;
        default = {};
      };
    };
  };

  imports = [
    ./niri
    ./programs
    ./sway
  ];
}
