{ config, ... }:
{
  imports = [
    ./autostart
    ./hotkeys
    ./inputs
    ./outputs
    ./rules
    ./settings
    ./theme
  ];

  home.file.".config/niri/config.kdl".text = ''
    ${builtins.readFile config.home.niri.settings.autostart}
    ${builtins.readFile config.home.niri.settings.hotkeys}
    ${builtins.readFile config.home.niri.settings.inputs}
    ${builtins.readFile config.home.niri.settings.outputs}
    ${builtins.readFile config.home.niri.settings.rules}
    ${builtins.readFile config.home.niri.settings.settings}
    ${builtins.readFile config.home.niri.settings.theme}
  '';
}
