{ pkgs, config, ... }:
{
  config.home.niri.settings.theme = pkgs.writeText "theme" ''
    prefer-no-csd
    
    layout {
      gaps 7
      center-focused-column "never"
      default-column-width { proportion 0.5; }
    
      focus-ring {
        off
      }
    
      border {
        width 3
        active-color "#${config.look.colors.prime}"
        inactive-color "#${config.look.colors.split}"
      }
    }
  '';
}
